lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENE-7978) Ant package fails on 7.0 and master
Date Fri, 29 Sep 2017 12:59:01 GMT

    [ https://issues.apache.org/jira/browse/LUCENE-7978?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16185782#comment-16185782
] 

ASF subversion and git services commented on LUCENE-7978:
---------------------------------------------------------

Commit 2bb139e5bdfe7b2d69a4666e1e47416b49f7c1b1 in lucene-solr's branch refs/heads/branch_7x
from [~thetaphi]
[ https://git-wip-us.apache.org/repos/asf?p=lucene-solr.git;h=2bb139e ]

LUCENE-7978: Add some more documentation about setting up build environment; merge branch
'LUCENE-7978' of https://github.com/antonmry/lucene-solr


> Ant package fails on 7.0 and master
> -----------------------------------
>
>                 Key: LUCENE-7978
>                 URL: https://issues.apache.org/jira/browse/LUCENE-7978
>             Project: Lucene - Core
>          Issue Type: Bug
>          Components: general/build
>    Affects Versions: 7.0, master (8.0)
>         Environment: Fedora 25
> Apache Ant(TM) version 1.9.6 compiled on February 3 2016
>            Reporter: Anton R. Yuste
>            Assignee: Uwe Schindler
>            Priority: Minor
>              Labels: build
>             Fix For: 7.1, master (8.0)
>
>
> I'm doing the following steps following the README instructions:
> * cloning lucene-solr
> * checking out 7.0 (or master)
> * ant compile
> Gives is this:
> {quote}
> ivy-configure:
> [ivy:configure] :: loading settings :: file = /home/antonmry/Workspace/Apache/lucene-solr/lucene/top-level-ivy-settings.xml
> resolve:
> [ivy:retrieve] 
> [ivy:retrieve] :: problems summary ::
> [ivy:retrieve] :::: WARNINGS
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          :: org.apache.ivy#ivy;2.3.0: configuration not found in org.apache.ivy#ivy;2.3.0:
'master'. It was required from org.apache.lucene#tools;working@gali7 compile
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve] 
> [ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
> BUILD FAILED
> /home/antonmry/Workspace/Apache/lucene-solr/build.xml:309: The following error occurred
while executing this line:
> /home/antonmry/Workspace/Apache/lucene-solr/lucene/build.xml:127: The following error
occurred while executing this line:
> /home/antonmry/Workspace/Apache/lucene-solr/lucene/common-build.xml:409: impossible to
resolve dependencies:
>         resolve failed - see output for details
> Total time: 8 seconds
> {quote}
> I found it works with the the following changes in lucene/ivy-versions.properties:
> {quote}
> /org.apache.ivy/ivy = 2.3.0
> {quote}
> to 
> {quote}
> /org.apache.ivy/ivy = 2.4.0
> {quote}
> Probably related to:
> https://issues.apache.org/jira/browse/LUCENE-6144



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message